### A free/open-source library for quantitative finance

Public Member Functions
TreeCapFloorEngine Class Reference
Cap/floor engines

Numerical lattice engine for cap/floors. More...

`#include <ql/pricingengines/capfloor/treecapfloorengine.hpp>`

Inheritance diagram for TreeCapFloorEngine:
[legend]

List of all members.

## Public Member Functions

void | calculate () const
Constructors

Note:
  the term structure is only needed when the short-rate model cannot provide one itself.

| TreeCapFloorEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCapFloorEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())

## Detailed Description

Numerical lattice engine for cap/floors.